[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.FPONotifyObservers

Notify observers of changes in the list

## Declaration

Source position: classesh.inc line 325

`public procedure TList.FPONotifyObservers(`
`ASender: TObject;`
`AOperation: TFPObservedOperation;`
`Data: Pointer`
`);`

## Description

FPONotifyObservers is called to notify observers of changes in the list. The following notifications are sent:

ooAddItem
  when a pointer is added. Data is the pointer that is added.
ooDeleteItem
  when a pointer is deleted or extracted. Data is the pointer that is deleted or extracted.
ooChange
  called when 2 pointers are exchanged.
ooFree
  Called when the list is freed.

## See also

FPODetachObserver
FPOAttachObserver
Add
Exchange
Delete |  | Delete elements (characters) from a string or dynamic array.
Extract